> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fija el estado deseado de una reacción del actor



## OpenAPI

````yaml /generated/specs/operations.json put /api/v1/tickets/{ticketId}/comments/{commentId}/reactions
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{ticketId}/comments/{commentId}/reactions:
    put:
      tags:
        - ticket-comments
      summary: Fija el estado deseado de una reacción del actor
      operationId: TicketCommentsController_setReaction
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
        - name: commentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetTicketCommentReactionDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetTicketCommentReactionResponseDto'
components:
  schemas:
    SetTicketCommentReactionDto:
      type: object
      properties:
        emoji:
          type: string
          minLength: 1
          maxLength: 20
        active:
          type: boolean
      required:
        - emoji
        - active
    SetTicketCommentReactionResponseDto:
      type: object
      properties:
        commentId:
          type: string
          format: uuid
        reactions:
          type: array
          items:
            $ref: '#/components/schemas/TicketReactionSummaryDto'
      required:
        - commentId
        - reactions
    TicketReactionSummaryDto:
      type: object
      properties:
        emoji:
          type: string
        count:
          type: number
        reactedByCurrentUser:
          type: boolean
      required:
        - emoji
        - count
        - reactedByCurrentUser

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.